package LasTres::Race::Conejo;

use v5.36.0;
use strict;
use warnings;

use Moo;

with 'LasTres::Race';

sub spawn {
    return;
}

sub identifier {
    return 'conejo';
}

sub name {
    return 'Conejo rabioso';
}

sub name_selection {
    return;
}

sub image {
    return '/img/bad-rabbit.png';
}

sub description {
    return 'Un conejo que se ha vuelto violento por la enfermedad de la rabia.';
}

sub is_playable {
    return 0;
}

sub experience_drop_base {
    return 51;
}

sub base_stats {
    return LasTres::Stats->new(
        health       => 40,
        strength     => 90,
        resistance   => 83,
        mana         => 0,
        magic        => 0,
        speed        => 100,
        intelligence => 10,
    );
}
1;
